Skip to main content
PATCH
/
api
/
v1
/
github
/
installations
/
{id}
/
config
Update org-wide config defaults
curl --request PATCH \
  --url https://neo.api.projectdiscovery.io/api/v1/github/installations/{id}/config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "author_exclude": [
    "<string>"
  ],
  "author_include": [
    "<string>"
  ],
  "auto_review_enabled": true,
  "branch_exclude": [
    "<string>"
  ],
  "branch_include": [
    "<string>"
  ],
  "custom_instructions": "<string>",
  "focus": "security",
  "keyword_exclude": [
    "<string>"
  ],
  "keyword_include": [
    "<string>"
  ],
  "label_exclude": [
    "<string>"
  ],
  "label_include": [
    "<string>"
  ],
  "review_output_mode": "summary_only",
  "severity_threshold": "critical",
  "suggested_changes_enabled": true,
  "tone": "chill",
  "verbosity": "brief"
}
'
{
  "author_exclude": [
    "<string>"
  ],
  "author_include": [
    "<string>"
  ],
  "auto_review_enabled": true,
  "branch_exclude": [
    "<string>"
  ],
  "branch_include": [
    "<string>"
  ],
  "custom_instructions": "<string>",
  "focus": "security",
  "keyword_exclude": [
    "<string>"
  ],
  "keyword_include": [
    "<string>"
  ],
  "label_exclude": [
    "<string>"
  ],
  "label_include": [
    "<string>"
  ],
  "review_output_mode": "summary_only",
  "severity_threshold": "critical",
  "suggested_changes_enabled": true,
  "tone": "chill",
  "verbosity": "brief"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Installation ID (UUID)

Body

application/json
author_exclude
string[]
author_include
string[]
auto_review_enabled
boolean
branch_exclude
string[]
branch_include
string[]
custom_instructions
string
focus
enum<string>
Available options:
security,
performance,
style,
all
keyword_exclude
string[]
keyword_include
string[]
label_exclude
string[]
label_include
string[]
review_output_mode
enum<string>
Available options:
summary_only,
comments_only,
both
severity_threshold
enum<string>
Available options:
critical,
high,
medium,
low,
info,
all
suggested_changes_enabled
boolean
tone
enum<string>
Available options:
chill,
balanced,
assertive,
roast
verbosity
enum<string>
Available options:
brief,
normal,
detailed

Response

Org-wide config defaults updated

author_exclude
string[]
author_include
string[]
auto_review_enabled
boolean
branch_exclude
string[]
branch_include
string[]
custom_instructions
string
focus
enum<string>
Available options:
security,
performance,
style,
all
keyword_exclude
string[]
keyword_include
string[]
label_exclude
string[]
label_include
string[]
review_output_mode
enum<string>
Available options:
summary_only,
comments_only,
both
severity_threshold
enum<string>
Available options:
critical,
high,
medium,
low,
info,
all
suggested_changes_enabled
boolean
tone
enum<string>
Available options:
chill,
balanced,
assertive,
roast
verbosity
enum<string>
Available options:
brief,
normal,
detailed